ExtBasicMenuItemUI (JGoodies Looks 2.5 API)
Date: 2012-07-24

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jgoodies.looks.common
Class ExtBasicMenuItemUI

    java.lang.Object
      javax.swing.plaf.ComponentUI
          javax.swing.plaf.ButtonUI
              javax.swing.plaf.MenuItemUI
                  javax.swing.plaf.basic.BasicMenuItemUI
                      com.jgoodies.looks.common.ExtBasicMenuItemUI

Direct Known Subclasses:
  ExtBasicRadioButtonMenuItemUI, WindowsMenuItemUI

    public class ExtBasicMenuItemUI

extends BasicMenuItemUI

An implementation of `MenuItemUI` used by the JGoodies Windows and Plastic looks. Unlike it's superclass it aligns menu items, uses a slightly smaller gap between text and icon, which you can override in the UI defaults.

Version:
  $Revision: 1.10 $
Author:
  Karsten Lentzsch

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`BasicMenuItemUI.MouseInputHandler`

Field Summary

Fields inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`acceleratorFont, acceleratorForeground, acceleratorSelectionForeground, arrowIcon, checkIcon, defaultTextIconGap, disabledForeground, menuDragMouseListener, menuItem, menuKeyListener, mouseInputListener, oldBorderPainted, propertyChangeListener, selectionBackground, selectionForeground`

Constructor Summary
`ExtBasicMenuItemUI()`

Method Summary
`protected MenuItemRenderer` | `createRenderer(JMenuItem menuItem, boolean iconBorderEnabled, Font acceleratorFont, Color selectionForeground, Color disabledForeground, Color acceleratorForeground, Color acceleratorSelectionForeground)`
`static ComponentUI` | `createUI(JComponent b)`
`protected Dimension` | `getPreferredMenuItemSize(JComponent c, Icon aCheckIcon, Icon anArrowIcon, int textIconGap)`
`protected boolean` | `iconBorderEnabled()`
`protected void` | `installDefaults()`
`protected void` | `paintMenuItem(Graphics g, JComponent c, Icon aCheckIcon, Icon anArrowIcon, Color background, Color foreground, int textIconGap)`
`protected void` | `uninstallDefaults()`

Methods inherited from class javax.swing.plaf.basic.BasicMenuItemUI
`createMenuDragMouseListener, createMenuKeyListener, createMouseInputListener, createPropertyChangeListener, doClick, getMaximumSize, getMinimumSize, getPath, getPreferredSize, getPropertyPrefix, installComponents, installKeyboardActions, installListeners, installUI, paint, paintBackground, paintText, uninstallComponents, uninstallKeyboardActions, uninstallListeners, uninstallUI, update`

Methods inherited from class javax.swing.plaf.ComponentUI
`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExtBasicMenuItemUI

    public ExtBasicMenuItemUI()

Method Detail

### createUI

    public static ComponentUI createUI(JComponent b)

### installDefaults

    protected void installDefaults()

  Overrides:
    `installDefaults` in class `BasicMenuItemUI`

### iconBorderEnabled

    protected boolean iconBorderEnabled()

### uninstallDefaults

    protected void uninstallDefaults()

  Overrides:
    `uninstallDefaults` in class `BasicMenuItemUI`

### getPreferredMenuItemSize

    protected Dimension getPreferredMenuItemSize(JComponent c,
                                                 Icon aCheckIcon,
                                                 Icon anArrowIcon,
                                                 int textIconGap)

  Overrides:
    `getPreferredMenuItemSize` in class `BasicMenuItemUI`

### paintMenuItem

    protected void paintMenuItem(Graphics g,
                                 JComponent c,
                                 Icon aCheckIcon,
                                 Icon anArrowIcon,
                                 Color background,
                                 Color foreground,
                                 int textIconGap)

  Overrides:
    `paintMenuItem` in class `BasicMenuItemUI`

### createRenderer

    protected MenuItemRenderer createRenderer(JMenuItem menuItem,
                                              boolean iconBorderEnabled,
                                              Font acceleratorFont,
                                              Color selectionForeground,
                                              Color disabledForeground,
                                              Color acceleratorForeground,
                                              Color acceleratorSelectionForeground)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JGoodies Karsten Lentzsch. All Rights Reserved.